/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreValuelistPerson;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreValuelistPersonRecord extends TableRecordImpl<VCoreValuelistPersonRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_valuelist_person.valuelist</code>.
     */
    public void setValuelist(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_person.valuelist</code>.
     */
    public Integer getValuelist() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_valuelist_person.order</code>.
     */
    public void setOrder(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_person.order</code>.
     */
    public String getOrder() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_valuelist_person.usnr</code>.
     */
    public void setUsnr(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_person.usnr</code>.
     */
    public Integer getUsnr() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_valuelist_person.username</code>.
     */
    public void setUsername(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_person.username</code>.
     */
    public String getUsername() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_valuelist_person.forename</code>.
     */
    public void setForename(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_person.forename</code>.
     */
    public String getForename() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.v_core_valuelist_person.surname</code>.
     */
    public void setSurname(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_person.surname</code>.
     */
    public String getSurname() {
        return (String) get(5);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreValuelistPersonRecord
     */
    public VCoreValuelistPersonRecord() {
        super(VCoreValuelistPerson.V_CORE_VALUELIST_PERSON);
    }

    /**
     * Create a detached, initialised VCoreValuelistPersonRecord
     */
    public VCoreValuelistPersonRecord(Integer valuelist, String order, Integer usnr, String username, String forename, String surname) {
        super(VCoreValuelistPerson.V_CORE_VALUELIST_PERSON);

        setValuelist(valuelist);
        setOrder(order);
        setUsnr(usnr);
        setUsername(username);
        setForename(forename);
        setSurname(surname);
        resetChangedOnNotNull();
    }
}
